Bug 1300433 - Pacemaker pcs command is not accepting domain suffix for no_proxy env. variable
Summary: Pacemaker pcs command is not accepting domain suffix for no_proxy env. variable
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ruby
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Pavel Valena
QA Contact: Iveta Wiedermann
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-20 19:30 UTC by Ryan Howe
Modified: 2018-11-21 12:54 UTC (History)
9 users (show)

(edit)
undefined
Clone Of:
: 1384810 1384838 (view as bug list)
(edit)
Last Closed: 2016-11-04 06:16:41 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2422 normal SHIPPED_LIVE ruby bug fix update 2016-11-03 13:59:14 UTC
Red Hat Bugzilla 1315627 None None None Never

Internal Trackers: 1315627

Comment 6 Vít Ondruch 2016-02-12 09:54:10 UTC
Well, the no_proxy implementation is not really full featured. Here is a list of upstream RFE tickets which might be relevant:

https://bugs.ruby-lang.org/issues/10251
https://bugs.ruby-lang.org/issues/8317 (this included patch, you probably want to test it if it helps)
https://bugs.ruby-lang.org/issues/12062

Comment 7 Vít Ondruch 2016-05-24 15:41:41 UTC
So it seems upstream applied the patches from

https://bugs.ruby-lang.org/issues/8317
https://bugs.ruby-lang.org/issues/12062

as well. I requested backport to older versions as well:

https://bugs.ruby-lang.org/issues/12421

Would you mind to test which of the patches resolves the issues you describe above?

Comment 14 errata-xmlrpc 2016-11-04 06:16:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2422.html


Note You need to log in before you can comment on or make changes to this bug.